Package twisted :: Package protocols :: Module imap4 :: Class CramMD5Identity

[show private | hide private]
[frames | no frames]

## Class CramMD5Identity

    Identity --+
               |
              CramMD5Identity

Method Summary
| ``__init__`(self, name, authorizer)` Create an identity. (inherited from `Identity`)
| `__repr__(self)` (inherited from `Identity`)
| ``addKeyByString`(self, serviceName, perspectiveName)` Put a key on my keyring. (inherited from `Identity`)
| ``addKeyForPerspective`(self, perspective)` Add a key for the given perspective. (inherited from `Identity`)
| ``challenge`(self)` I return some random data.
| ``getAllKeys`(self)` Returns a list of all services and perspectives this identity can connect to. (inherited from `Identity`)
| ``removeKey`(self, serviceName, perspectiveName)` Remove a key from my keyring. (inherited from `Identity`)
| ``requestPerspectiveForKey`(self, serviceName, perspectiveName)` Get a perspective request (a Deferred) for the given key. (inherited from `Identity`)
| ``requestPerspectiveForService`(self, serviceName)` Get the first available perspective for a given service. (inherited from `Identity`)
| ``save`(self)` Persist this Identity to the authorizer. (inherited from `Identity`)
| ``setAlreadyHashedPassword`(self, cyphertext)` (legacy) Set a password for this identity, already md5 hashed. (inherited from `Identity`)
| `setPassword(self, plaintext)`
| `upgradeToVersion2(self)` (inherited from `Identity`)
| ``verifyPassword`(self, challenge, hashedPassword)` Verify a challenge/response password. (inherited from `Identity`)
| ``verifyPlainPassword`(self, plaintext)` Verify plain text password. (inherited from `Identity`)
| `verifyResponse(self, digest, response)`

Method Details

### challenge(self)

I return some random data.

This is a method in addition to the module-level function because it is anticipated that we will want to change this to store salted passwords.

  Overrides:
    `twisted.cred.identity.Identity.challenge` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:18:47 2003 | http://epydoc.sf.net